int n;
    int brojac = 0;
    int upit;
    vector<int> proslo;
    scanf("%d", &n);
    proslo.resize(100);

        scanf("%d", &upit);
        if(upit == 1) {
            cout << upit << "\n";
        }
        for(int i = 1; i <= upit; i++) {
            if(i <= 10) {
                brojac++;
                continue;
            }

            else {
                int jedinice = i%10;
                int desetice = (i/10)%10;
                int stotine = 1;
                if(i > 100) stotine = (i/100)%10;
                int proizvod = jedinice * desetice * stotine;

                if(Postoji(proslo,proizvod)) {
                    proslo[i-1] = proizvod;
                    brojac++;
                }
                else continue;
            }



    }
    cout << brojac << "\n";
    proslo.shrink_to_fit();
    return 0;